/**
 * 
 */
package com.ejie.ad74a.exception;

/**
 * Excepcion que encapsula el error que se haya producido dentro de un proceso
 * batch.
 * 
 * @author JBHG
 *
 */
public class BatchProcessException extends Exception {
    
    /**
     * 
     */
    private static final long serialVersionUID = -7802597249254376853L;
    
    /**
     * 
     */
    public BatchProcessException() {
        // Default
    }
    
    /**
     * @param message
     */
    public BatchProcessException(String message) {
        super(message);
    }
    
    /**
     * @param cause
     */
    public BatchProcessException(Throwable cause) {
        super(cause);
    }
    
    /**
     * @param message
     * @param cause
     */
    public BatchProcessException(String message, Throwable cause) {
        super(message, cause);
    }
    
    /**
     * @param message
     * @param cause
     * @param enableSuppression
     * @param writableStackTrace
     */
    public BatchProcessException(String message, Throwable cause, boolean enableSuppression,
            boolean writableStackTrace) {
        super(message, cause, enableSuppression, writableStackTrace);
    }
    
}
